Subject: [os2genau_digest] No. 993
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 1 Dec 2004 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 30 November 2004
 Number  993
**************************************************

Subjects for today
 
1  Re:  PDF file creation : Dennis Nolan <dennik at swiftdsl dot com dot au>
2  Re:  PDF file creation : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  PDF file creation : Alan Heiser" <aheiser at ozemail dot com dot au>
4  Re:  PDF file creation : Paul Smedley" <paul at smedley.info>
5  Re:  PDF file creation : Paul Smedley" <paul at smedley.info>

**= Email   1 ==========================**

Date:  Tue, 30 Nov 2004 06:55:53 +1100
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:  Re:  PDF file creation

Thanks John

I knew I must of been missing something, I save the file in Maul as a 
*.ps and now everything is fine.

ePDF is a postscript print driver, and aparently allows putting the pdf 
tags for document navigation ets. into the document.

Regards
Dennis.

John Angelico wrote:

>On Mon, 29 Nov 2004 21:25:26 +1100, Dennis Nolan wrote:
>
>  
>
>>Hi all
>>
>>Has anyone had any success in creating PDF files.
>>
>>    
>>
>
>Hi Dennis. 
>
>Yes I have.
>
>  
>
>>I installed Ghostscript and Ghostview, Installed ePDF and a printer 
>>object to use it.
>>    
>>
>
>I use GSView and GS, not ePDF.
>
>  
>
>>I create a document in Maul with the ePDF  print subsystem enabled and 
>>print the document to a file. Well actualy the subsystem is for 
>>imbedding PDF tags into the text.
>>    
>>
>
>I set up a Postscript printer object, and set it to Print to File ONLY.
>
>Then I print to the PS object, which asks me for a filename.
>
>I specify a path to a Temp folder and a name with .ps extension [CRITICAL!].
>
>  
>
>>When I try to open the document in the Adobe reader, it complains that 
>>the file does not begin with %PDF
>>When I open it in Ghostview I get an error saying there are more pages 
>>than indicated in the document but then allows an internal correction 
>>and displays the file, with an extra blank page.
>>    
>>
>
>I open the .ps file in GSView, and I notice that it is only a one-page piece.
>
>THEN I use File/Convert with the PDFWrite driver, and specify a .pdf
>extension for the output file.
>
>This is the file which Acrobat/Acroread can handle.
>
>  
>
>>The document is just a double sided brochure, nothing fancy.
>>
>>As printers seem to be accepting PDF files, which are more or less 
>>device and OS independent, I hoped to be able to do it in OS/2.
>>    
>>
>
>Yep. No probs. GSView creates quite compact files too. I use this technique
>for generating PDFs to put on our business website fo customers to download.
>
>See if this works for you.
>
>
>Best regards
>John Angelico
>OS/2 SIG
>os2 at melbpc dot org dot au or 
>talldad at kepl dot com dot au
>___________________
>
>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>... Definitions #751: Printout: A document to verify data you know is wrong anyway.

> 

>
>
>  
>
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 30 Nov 2004 07:13:41 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  PDF file creation

Dennis Nolan wrote:

> Hi all
>
> Has anyone had any success in creating PDF files.
>

I've used Open Office, however I'm not sure how high a resolution it can create and if
you're sending your work to a printer, I suspect not high enough.

Is it possible that you're creating encapsulated postscript rather than PDF from you
current set up ??

Maul actually has the ability to create "printer ready" formatted documents - not just
PDF but real printing press format files - the manual tells you how to.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 30 Nov 2004 07:17:18 +1000 (KST)
From:  "Alan Heiser" <aheiser at ozemail dot com dot au>
Subject:  Re:  PDF file creation

PMPDF, a warpin file, creates a PDF printer linked to Ghostscript.  Output works fine in 
adobe and is a single operation, rather than opening and converting files.  Just trying to 
remember where I downloaded it from

Alan

On Mon, 29 Nov 2004 21:25:26 +1100, Dennis Nolan wrote:

>Hi all
>
>Has anyone had any success in creating PDF files.
>
>I installed Ghostscript and Ghostview, Installed ePDF and a printer 
>object to use it.
>
>I create a document in Maul with the ePDF  print subsystem enabled and 
>print the document to a file. Well actualy the subsystem is for 
>imbedding PDF tags into the text.
>
>When I try to open the document in the Adobe reader, it complains that 
>the file does not begin with %PDF
>When I open it in Ghostview I get an error saying there are more pages 
>than indicated in the document but then allows an internal correction 
>and displays the file, with an extra blank page.
>
>The document is just a double sided brochure, nothing fancy.
>
>As printers seem to be accepting PDF files, which are more or less 
>device and OS independent, I hoped to be able to do it in OS/2.
>
>I looked at the header and my document has %!PS-Adobe  at the start of 
>the file.
>A normal PDF file started with %PDF-1.2
>
>I was under the impression that Ghostscript not only read PDF files but 
>also was able to convert a Postscript file to PDF.
>
>Regards
>
>Dennis.

> 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 30 Nov 2004 07:54:06 +1000
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  PDF file creation

All,

On 11/29/2004, "Alan Heiser" <aheiser at ozemail dot com dot au> wrote:

>PMPDF, a warpin file, creates a PDF printer linked to Ghostscript.  Output works fine in
>adobe and is a single operation, rather than opening and converting files.  Just trying to
>remember where I downloaded it from

http://pmpdf dot netlabs dot org/

Cheers,

Paul.
----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Tue, 30 Nov 2004 07:54:16 +1000
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  PDF file creation

All,

On 11/29/2004, "Alan Heiser" <aheiser at ozemail dot com dot au> wrote:

>PMPDF, a warpin file, creates a PDF printer linked to Ghostscript.  Output works fine in
>adobe and is a single operation, rather than opening and converting files.  Just trying to
>remember where I downloaded it from

http://pmpdf dot netlabs dot org/

Cheers,

Paul.
----------------------------------------------------------------------------------